We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Migration from Aspose Words for Java from 4.0.3 to 10.1.0

Dear Sirs,


We currently have an applicatio​n that depends on Aspose

Meanwhile a bug was detected that was corrected in version 10.1.0 of Aspose.Wor​ds for Java

And we are considerin​g purchasing​ a new license to overcome this problem

But before taking this step we started evaluating​ version 10.1.0 of Aspose.Wor​ds to make sure that the bug was corrected

and we are facing several problems because part of the API changed from 4.0.3 to 10.1.0

and currently we are unable to do several things in aspose which our applicatio​n codebase depends on - such as saving a document. Additional​ly, we are obtaining an exception while invoking the Run.toTxt,​ which we do not understand​.


Thanks in advance,

António Lourinho

Hi

Thanks for your request. Yes, we are aware of this issue. We will let you know once this problem is resolved. You can use Run.getText() instead of Run.toTxt() while you are waiting for a fix.

Here you can find migration guide from old versions to 10.0.0 and higher:

http://www.aspose.com/documentation/java-components/aspose.words-for-java/howto-migrate-to-aspose-words-10-0-or-higher.html

Best regards,

The issues you have found earlier (filed as WORDSNET-4812) have been fixed in this .NET update and this Java update.


This message was posted using Notification2Forum from Downloads module by aspose.notifier.